/*
  Button

  Turns on and off a light emitting diode(LED) connected to digital pin 13,
  when pressing a pushbutton attached to pin 2.

  The circuit:
  - LED attached from pin 13 to ground
  - pushbutton attached to pin 2 from +5V
  - 10K resistor attached to pin 2 from ground

  - Note: on most Arduinos there is already an LED on the board
    attached to pin 13.

  created 2005
  by DojoDave <http://www.0j0.org>
  modified 30 Aug 2011
  by Tom Igoe

  This example code is in the public domain.

  http://www.arduino.cc/en/Tutorial/Button
*/

#include <Wire.h>
// constants won't change. They're used here to set pin numbers:
const int buttonPin = 5;     // the number of the pushbutton pin1
const int buttonPin2 = 6;    // the number of the pushbutton pi2
const int buttonPin3 = 7;    // the number of the pushbutton pin3
const int ledPin =  13;      // the number of the LED pin
// variables will change:
int buttonState = 0;         // variable for reading the pushbutton1 status
int buttonState2 = 0;         // variable for reading the pushbutton2 status
int buttonState3 = 0;         // variable for reading the pushbutton3 status
void setup() {
  Wire.begin();
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);
    // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT);
  pinMode(buttonPin2, INPUT);
    pinMode(buttonPin3, INPUT);
}
void loop() {
  // read the state of the pushbutton value:
  buttonState = digitalRead(buttonPin);
  buttonState2 = digitalRead(buttonPin2);
  buttonState3 = digitalRead(buttonPin3);
  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (buttonState == HIGH) {
    // turn LED on:
    digitalWrite(ledPin, HIGH);
    Wire.beginTransmission(0x9); // Transmitir al Esclavo1
    Wire.write(1);  //Enviar un byte
    Wire.endTransmission(); // Para transmisión con el Esclavo1
    delay(200);
      // print out the state of the button:
  Serial.println(buttonState);
  } else {
    // turn LED off:
    digitalWrite(ledPin, LOW);
    Wire.beginTransmission(0x9); // Transmitir al Esclavo1
    Wire.write(0);  //Enviar un byte
    Wire.endTransmission(); // Para transmisión con el Esclavo1
    delay(200);
        // print out the state of the button:
  Serial.println(buttonState);
  }
 if (buttonState2 == HIGH) {
    // turn LED on:
    digitalWrite(ledPin, HIGH);
    Wire.beginTransmission(0x8); // Transmitir al Esclavo1
    Wire.write(1);  //Enviar un byte
    Wire.endTransmission(); // Para transmisión con el Esclavo1
    delay(200);
      // print out the state of the button:
  Serial.println(buttonState2);
  } else {
    // turn LED off:
    digitalWrite(ledPin, LOW);
    Wire.beginTransmission(0x8); // Transmitir al Esclavo1
    Wire.write(0);  //Enviar un byte
    Wire.endTransmission(); // Para transmisión con el Esclavo1
    delay(200); 
      // print out the state of the button:
  Serial.println(buttonState2);
  }
   if (buttonState3 == HIGH) {
    // turn LED on:
    digitalWrite(ledPin, HIGH);
    Wire.beginTransmission(0x7); // Transmitir al Esclavo1
    Wire.write(1);  //Enviar un byte
    Wire.endTransmission(); // Para transmisión con el Esclavo1
    delay(200);
      // print out the state of the button:
  Serial.println(buttonState3);
  } else {
    // turn LED off:
    digitalWrite(ledPin, LOW);
    Wire.beginTransmission(0x7); // Transmitir al Esclavo1
    Wire.write(0);  //Enviar un byte
    Wire.endTransmission(); // Para transmisión con el Esclavo1
    delay(200); 
      // print out the state of the button:
  Serial.println(buttonState3);
  }
}
